# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# C:\b\abs_702yi_k5m2\clone\recipe, last modified Wed Jul 12 17:39:44 2023
# ------------------------------------------------

package:
  name: streamlit
  version: 1.24.1
source:
  sha256: fd5f0b64798e9706364408fb589b77595314a6315d13b2d750b963c7ae97f362
  url: https://pypi.io/packages/source/s/streamlit/streamlit-1.24.1.tar.gz
build:
  entry_points:
    - streamlit = streamlit.cli:main
  number: '0'
  script: C:\\b\\abs_702yi_k5m2\\croot\\streamlit_1689180008592\\_h_env\\python.exe
    -m pip install . -vv --no-deps --no-build-isolation
  string: py311haa95532_0
requirements:
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.05.30 haa95532_0
    - libffi 3.4.4 hd77b12b_0
    - openssl 3.0.9 h2bbff1b_0
    - pip 23.1.2 py311haa95532_0
    - python 3.11.4 he1021f5_0
    - setuptools 67.8.0 py311haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py311haa95532_0
    - xz 5.4.2 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - altair >=4.0,<6
    - blinker >=1.0.0,<2
    - cachetools >=4.0,<6
    - click >=7.0,<9
    - gitpython >=3,<4,!=3.1.19
    - importlib-metadata >=1.4,<7
    - numpy
    - packaging >=14.1,<24
    - pandas >=0.25.0,<3
    - pillow >=6.2.0,<10
    - protobuf >=3.20,<5
    - pyarrow >=4.0
    - pydeck >=0.1.dev5,<1
    - pympler >=0.9,<2
    - python >=3.11,<3.12.0a0
    - python-dateutil >=2,<3
    - requests >=2.4,<3
    - rich >=10.11.0,<14
    - tenacity >=8.0.0,<9
    - toml <2
    - tornado >=6.0.3,<7
    - typing_extensions >=4.0.1,<5
    - tzlocal >=1.1,<5
    - validators >=0.2,<1
    - watchdog
test:
  commands:
    - pip check
  imports:
    - streamlit
  requires:
    - pip
about:
  description: 'Streamlit lets you turn data scripts into sharable web apps in minutes,
    not weeks.

    It''s all Python, open-source, and free!

    '
  dev_url: https://github.com/streamlit/streamlit
  doc_url: https://docs.streamlit.io/
  home: https://streamlit.io
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: The fastest way to build data apps in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 70887c9a-90fd-4e4c-b3f0-742c63c93276
  recipe-maintainers:
    - kmcgrady
    - randyzwitch
    - raybellwaves
  remote_url: git@github.com:AnacondaRecipes/streamlit-feedstock.git
  sha: 6ab5633c2db58e75d6912677949b0dc707d7a1ec
